> This page is for Plataforma, version V4 experimental.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Herdado: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Listar as funções do grupo do projeto

GET https://api.frame.io/v4/accounts/{account_id}/projects/{project_id}/groups

List the access groups assigned to a project, along with each group's role on the project. Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/v4-experimental/api-reference/project-permissions/project-group-roles-index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `project_id` (string, required)

### Query parameters

- `sort` (enum, optional) — Sort group role assignments by query params
  - Allowed values: `name_asc`, `name_desc`, `created_at_asc`, `created_at_desc`, `role_asc`, `role_desc`
- `after` (string, optional) — Opaque Cursor query param for requests returning paginated results. NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.
- `page_size` (integer, optional, default: 50)
- `include_total_count` (boolean, optional, default: false)

### Headers

- `api-version` (enum, required)
  - Allowed values: `experimental`

## Response

### 200

OK

- `data` (list of GroupRole, required) — Group role assignments
- `links` (Links, required) — Links to paginated data
- `total_count` (integer, optional, nullable) — Total count

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### GroupRole

A group's role on a resource. The role may be assigned directly on the resource or inherited from a parent resource (for example, `workspace_admin` granted on the parent workspace, or `admin`/`owner` granted at the account level).

- `group` (Group, required)
- `role` (enum, required) — The group's effective role on the resource.
  - Allowed values: `workspace_admin`, `full_access`, `editor`, `edit_only`, `commenter`, `viewer`, `admin`, `owner`

### Links

Links to paginated data

- `next` (string, required, nullable) — "Link to next page of data. This link is the request path with the addition of the `after` query parameter to fetch the next page of results. It only carries the `after` cursor. Other query params from the original request (e.g. `include`, `sort`, `page_size`, `include_total_count`, filters) are not preserved and must be re-added by the client on every subsequent request, including when following this link.

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### Group

- `source`: `adobe` (SyncGroup)
  - `created_at` (string, required) — Creation timestamp
  - `creator_id` (string, required, nullable) — ID of group creator
  - `emoji` (string, required) — Group emoji for UI display
  - `id` (string, required) — Group ID
  - `member_count` (integer, required) — Number of members in group
  - `name` (string, required) — Group name
  - `sync_status` (enum, required) — Imported group sync status
    - Allowed values: `not_started`, `in_progress`, `completed`, `error`
  - `updated_at` (string, required) — Update timestamp
- `source`: `frame` (GroupCommon)
  - `created_at` (string, required) — Creation timestamp
  - `creator_id` (string, required, nullable) — ID of group creator
  - `emoji` (string, required) — Group emoji for UI display
  - `id` (string, required) — Group ID
  - `member_count` (integer, required) — Number of members in group
  - `name` (string, required) — Group name
  - `updated_at` (string, required) — Update timestamp
- `source`: `workfront` (GroupCommon)
  - `created_at` (string, required) — Creation timestamp
  - `creator_id` (string, required, nullable) — ID of group creator
  - `emoji` (string, required) — Group emoji for UI display
  - `id` (string, required) — Group ID
  - `member_count` (integer, required) — Number of members in group
  - `name` (string, required) — Group name
  - `updated_at` (string, required) — Update timestamp

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "group": {
        "source": "frame",
        "created_at": "2024-02-02T21:19:24.828948Z",
        "creator_id": "260a6f18-7aac-4b84-ac1e-50aaabb1ae27",
        "emoji": "smile",
        "id": "051f462c-1461-4e1e-afcf-9decd8ae7206",
        "member_count": 5,
        "name": "group-1",
        "updated_at": "2024-02-02T21:19:24.828948Z"
      },
      "role": "editor"
    }
  ],
  "links": {
    "next": "/v4/accounts/123/projects/123/groups"
  },
  "total_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups"

headers = {
    "api-version": "experimental",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups';
const options = {
  method: 'GET',
  headers: {'api-version': 'experimental', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-version", "experimental")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-version"] = 'experimental'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups")
  .header("api-version", "experimental")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'api-version' => 'experimental',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups");
var request = new RestRequest(Method.GET);
request.AddHeader("api-version", "experimental");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-version": "experimental",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/d03e21cb-5a64-4745-be6c-522129e9a0cc/projects/3dfe44ad-184e-42f9-aa97-6d8907eecaec/groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```